Package org.eclipse.net4j.util.concurrent

## Class NonBlockingIntCounter

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.NonBlockingIntCounter

-     public final class NonBlockingIntCounter
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NonBlockingIntCounter()` |
    `NonBlockingIntCounter​(int initialValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `decrement()` |
    `int` | `getValue()` |
    `int` | `increment()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonBlockingIntCounter

          public NonBlockingIntCounter()

    - #### NonBlockingIntCounter

          public NonBlockingIntCounter​(int initialValue)

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### increment

          public int increment()

    - #### decrement

          public int decrement()

      Since:
        3.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`